Jan Lahoda avatar Jan Lahoda committed 8898fbe

Adjusting building to the new structure

Comments (0)

Files changed (10)

.ant-targets-build.xml

-build-jnlp
-build-mac
-build-osgi
-build-osgi-obr
-build-zip
-clusterize
-copy-cluster
-copy-nbexec
-create-platform
-debug
-debug-jnlp
-debug-osgi
-display-coverage-report
-nbms
-profile
-profile-osgi
-run
-run-jnlp
-run-osgi
-suite.build
-suite.clean
-suite.test
-test-generate-html
-test-view-html
-testuserdir-delete
-update
 <!-- for some information on what you could do (e.g. targets to override). -->
 <!-- If you delete this file and reopen the project it will be recreated. -->
 <project name="jackpot30" basedir=".">
-<!--    <description>Builds the module suite jackpot30.</description>
-    <import file="nbproject/build-impl.xml"/>
-    
-    <property name="server.modules" value="server/indexer:server/web.api" />
-    
-    <target name="-init" depends="suite.-init,copy-from-platform" />
-    
-    <target name="copy-from-platform" depends="suite.-init">
-        <copy file="${nbplatform.active.dir}/java/modules/org-netbeans-modules-java-source.jar" todir="server/lib" />
-        <copy file="${nbplatform.active.dir}/java/modules/org-netbeans-modules-java-hints.jar" todir="server/lib" />
-        <copy file="${nbplatform.active.dir}/platform/core/org-openide-filesystems.jar" todir="server/lib" />
-        <copy file="${nbplatform.active.dir}/platform/lib/org-openide-util.jar" todir="server/lib" />
-        <copy file="${nbplatform.active.dir}/platform/lib/org-openide-util-lookup.jar" todir="server/lib" />
-        <copy file="${nbplatform.active.dir}/ide/modules/org-netbeans-spi-editor-hints.jar" todir="server/lib" />
-        <copy file="${nbplatform.active.dir}/ide/modules/org-netbeans-api-java-classpath.jar" todir="server/lib" />
-        <copy file="${nbplatform.active.dir}/java/modules/ext/javac-api-nb-7.0-b07.jar" todir="server/lib/javac" />
-        <copy file="${nbplatform.active.dir}/java/modules/ext/javac-impl-nb-7.0-b07.jar" todir="server/lib/javac" />
-        <copy file="${nbplatform.active.dir}/ide/modules/org-netbeans-modules-jumpto.jar" todir="server/lib" />
-        <copy file="${nbplatform.active.dir}/platform/modules/org-netbeans-modules-masterfs.jar" todir="server/lib" />
-        <copy file="${nbplatform.active.dir}/ide/modules/org-netbeans-modules-parsing-lucene.jar" todir="server/lib" />
-        <copy file="${nbplatform.active.dir}/ide/modules/org-netbeans-modules-parsing-api.jar" todir="server/lib" />
-        <copy file="${nbplatform.active.dir}/ide/modules/org-netbeans-modules-projectapi.jar" todir="server/lib" />
-        <copy file="${nbplatform.active.dir}/java/modules/org-netbeans-modules-java-project.jar" todir="server/lib" />
+    <target name="build-auc">
+        <taskdef classpath="${nbplatform.default.harness.dir}/tasks.jar" resource="org/netbeans/nbbuild/taskdefs.properties"/>
+        <fileset id="updater.jar" dir="${nbplatform.default.netbeans.dest.dir}">
+            <filename name="platform/modules/ext/updater.jar"/>
+        </fileset>
+        <property name="catalog.base.url" value="."/>
+        <mkdir dir="build/updates" />
+        <makeupdatedesc desc="build/updates/updates.xml" distbase="${catalog.base.url}" automaticgrouping="true" uselicenseurl="${use.license.url.in.catalog}">
+            <fileset dir="build/updates">
+                <include name="*.nbm"/>
+                <include name="*.jar"/> <!-- #181025: bare OSGi bundles -->
+            </fileset>
+            <updaterjar>
+                <resources refid="updater.jar"/>
+            </updaterjar>
+        </makeupdatedesc>
     </target>
-    
-    <target name="findbugs" depends="-init">
-        <subant target="findbugs" buildpath="${modules}" inheritall="false"/>
-    </target>
-
-    <target name="clean" depends="suite.clean">
-        <subant target="clean" buildpath="${server.modules}" inheritall="false"/>
-    </target>
-
-    <target name="build" depends="suite.build">
-        <subant target="jar" buildpath="${server.modules}" inheritall="false"/>
-    </target>
-
-    <target name="test" depends="suite.test">
-        <subant target="test" buildpath="${server.modules}" inheritall="false"/>
-    </target>
-    
-    <property name="subprojects" value="remoting/common:remoting/ide:remoting/server/indexer:remoting/server/web/web.main:language/ide:duplicates/ide" />
-
-    <target name="build-subprojects">
-        <subant target="build" buildpath="${subprojects}" inheritall="false"/>
-    </target>
-
-    <target name="test-subprojects">
-        <subant target="test" buildpath="${subprojects}" inheritall="false"/>
-    </target>-->
-
-<!--    <target name="coverage-report" depends="testcoverage-suite.coverage-report">
-        <subant target="test" buildpath="${server.modules}" inheritall="false"/>
-    </target>-->
-
 </project>
+#!/bin/bash
+ant "$@" clean && ant "$@" build && ant "$@" test && (cd compiler; ant "$@" create-standalone-compiler && build/test/scripted/run )  && (cd tool; ant "$@" create-standalone-tool && build/test/scripted/run ) || exit 1
+

cmdline/tool/nbproject/genfiles.properties

 build.xml.stylesheet.CRC32=a56c6a5b@1.44
 # This file is used by a NetBeans-based IDE to track changes in generated files such as build-impl.xml.
 # Do not edit this file. You may delete it but then the IDE will never regenerate such files for you.
-nbproject/build-impl.xml.data.CRC32=de70a26b
+nbproject/build-impl.xml.data.CRC32=063de067
 nbproject/build-impl.xml.script.CRC32=08f1fb11
 nbproject/build-impl.xml.stylesheet.CRC32=238281d1@2.49

cmdline/tool/nbproject/project.xml

                     </run-dependency>
                 </dependency>
                 <dependency>
+                    <code-name-base>org.netbeans.modules.refactoring.api</code-name-base>
+                    <build-prerequisite/>
+                    <compile-dependency/>
+                    <run-dependency>
+                        <specification-version>1.22</specification-version>
+                    </run-dependency>
+                </dependency>
+                <dependency>
                     <code-name-base>org.netbeans.modules.sendopts</code-name-base>
                     <build-prerequisite/>
                     <compile-dependency/>

duplicates/build.sh

+#!/bin/bash
+(cd ide; ant "$@" clean && ant "$@" nbms && ant "$@" test) || exit 1
+
 #!/bin/bash -x
+prepare_platform() {
 if [ "$TRUNK_URL" == "" ] ; then
     TRUNK_URL="http://deadlock.netbeans.org/hudson/job/nbms-and-javadoc";
 fi;
 cd ../..
 
 PLATFORM=$PWD/nbbuild/netbeans
+}
+
+if [ "$PLATFORM" == "" ] ; then
+    prepare_platform
+fi;
 
 call_ant() {
     ant -Dnbplatform.default.harness.dir=$PLATFORM/harness -Dnbplatform.default.netbeans.dest.dir=$PLATFORM -Dnbplatform.active.dir=$PLATFORM "$@"
 }
 
-(cd borrowedtests; call_ant clean && call_ant) || exit
-call_ant copy-from-platform
-(cd server; ant -f download.xml) || exit
-(cd remoting; ./build-indexing-backend -Dnbplatform.default.harness.dir=$PLATFORM/harness -Dnbplatform.default.netbeans.dest.dir=$PLATFORM -Dnbplatform.active.dir=$PLATFORM) || exit 1
-(cd remoting/server/tests; ./run-declarative-tests  -Dnbplatform.default.harness.dir=$PLATFORM/harness -Dnbplatform.default.netbeans.dest.dir=$PLATFORM -Dnbplatform.active.dir=$PLATFORM) || exit 1
-call_ant clean || exit
-call_ant build || exit
-#call_ant coverage-report || exit
-call_ant test || exit
+SUBPROJECTS="remoting language duplicates cmdline";
 
-(cd cmdline; call_ant clean && call_ant build && call_ant test && (cd compiler; call_ant create-standalone-compiler && build/test/scripted/run )  && (cd tool; call_ant create-standalone-tool && build/test/scripted/run )) || exit
+for subproject in $SUBPROJECTS; do
+    (cd $subproject; ./build.sh -Dnbplatform.default.harness.dir=$PLATFORM/harness -Dnbplatform.default.netbeans.dest.dir=$PLATFORM -Dnbplatform.active.dir=$PLATFORM) || exit 1
+done
 
 mkdir -p build/updates
-cp nbbuild/download/*.nbm build/updates
 
-call_ant -Ddist.base=$DIST_BASE nbms || exit
+NBMS_SUBPROJECTS="remoting language duplicates";
+
+cp `find $NBMS_SUBPROJECTS -type f -name "*.nbm"` build/updates
+ant -Dnbplatform.default.harness.dir=$PLATFORM/harness -Dnbplatform.default.netbeans.dest.dir=$PLATFORM -Dnbplatform.active.dir=$PLATFORM -Ddist.base=$DIST_BASE build-auc || exit 1
 gzip <build/updates/updates.xml >build/updates/updates.xml.gz
 
-#(cd cmdline/compiler; call_ant copy-to-hudson) || exit
-#(cd server/indexer; call_ant copy-to-hudson) || exit
-(cd cmdline/tool; call_ant create-standalone-tool) || exit
-(cd cmdline/compiler; call_ant create-standalone-compiler) || exit
-
-call_ant -Ddist.base=$DIST_BASE findbugs || exit
-
-mkdir -p build/server
-(cp server/do-indexing server/indexer/dist; cd server/indexer/dist/; zip -r ../../../build/server/indexer.zip *)
-(cd server/web.api/dist/; zip -r ../../../build/server/web.api.zip *)
+exit 0

language/build.sh

+#!/bin/bash
+(cd ide; ant "$@" clean && ant "$@" nbms && ant "$@" test) || exit 1
+

remoting/build-indexing-backend

-#!/bin/bash
-rm -rf build
-mkdir -p build/indexing-backend
-(cd server/indexer; ant "$@" clean && ant "$@" build-zip && unzip -d ../../build/indexing-backend dist/indexer.zip) || exit 1
-mkdir -p build/indexing-backend/web
-(cd server/web/web.main; ant clean && ant jar && cp -r dist/* ../../../build/indexing-backend/web) || exit 1
-
-cp server/scripts/* build/indexing-backend
-
-chmod u+x build/temp-indexing-backend/index
-chmod u+x build/temp-indexing-backend/web
-
-(cd build; zip -r indexing-backend.zip indexing-backend) || exit 1
-(cd build; zip -r indexing-backend-shortened.zip `find indexing-backend -type f | grep -v indexing-backend/indexer/enterprise/ | grep -v indexing-backend/indexer/apisupport/  | grep -v indexing-backend/indexer/cnd/   | grep -v indexing-backend/indexer/dlight/   | grep -v indexing-backend/indexer/harness/   | grep -v indexing-backend/indexer/ide/   | grep -v indexing-backend/indexer/java   | grep -v indexing-backend/indexer/nb/   | grep -v indexing-backend/indexer/platform/   | grep -v indexing-backend/indexer/profiler/   | grep -v indexing-backend/indexer/websvccommon/`) || exit 1
-
-(cd server/hudson; mvn -Dmaven.test.skip=true clean package && cp target/*.hpi ../../build) || exit
-
-mkdir -p ide/local/release/index-server
-(cd server/web/web.main; cp -r dist/* ../../../ide/local/release/index-server) || exit 1
-(cd ide; ant "$@" clean && ant "$@" nbms && cp -r build/updates ../build) || exit 1
-

remoting/build.sh

+#!/bin/bash
+rm -rf build
+mkdir -p build/indexing-backend
+(cd server/indexer; ant "$@" clean && ant "$@" build-zip && unzip -d ../../build/indexing-backend dist/indexer.zip) || exit 1
+mkdir -p build/indexing-backend/web
+(cd server/web/web.main; ant clean && ant jar && cp -r dist/* ../../../build/indexing-backend/web) || exit 1
+
+cp server/scripts/* build/indexing-backend
+
+chmod u+x build/temp-indexing-backend/index
+chmod u+x build/temp-indexing-backend/web
+
+(cd build; zip -r indexing-backend.zip indexing-backend) || exit 1
+(cd build; zip -r indexing-backend-shortened.zip `find indexing-backend -type f | grep -v indexing-backend/indexer/enterprise/ | grep -v indexing-backend/indexer/apisupport/  | grep -v indexing-backend/indexer/cnd/   | grep -v indexing-backend/indexer/dlight/   | grep -v indexing-backend/indexer/harness/   | grep -v indexing-backend/indexer/ide/   | grep -v indexing-backend/indexer/java   | grep -v indexing-backend/indexer/nb/   | grep -v indexing-backend/indexer/platform/   | grep -v indexing-backend/indexer/profiler/   | grep -v indexing-backend/indexer/websvccommon/`) || exit 1
+
+(cd server/hudson; mvn -Dmaven.test.skip=true clean package && cp target/*.hpi ../../build) || exit
+
+mkdir -p ide/local/release/index-server
+(cd server/web/web.main; cp -r dist/* ../../../ide/local/release/index-server) || exit 1
+(cd ide; ant "$@" clean && ant "$@" nbms) || exit 1
+
Tip: Filter by directory path e.g. /media app.js to search for public/media/app.js.
Tip: Use camelCasing e.g. ProjME to search for ProjectModifiedEvent.java.
Tip: Filter by extension type e.g. /repo .js to search for all .js files in the /repo directory.
Tip: Separate your search with spaces e.g. /ssh pom.xml to search for src/ssh/pom.xml.
Tip: Use ↑ and ↓ arrow keys to navigate and return to view the file.
Tip: You can also navigate files with Ctrl+j (next) and Ctrl+k (previous) and view the file with Ctrl+o.
Tip: You can also navigate files with Alt+j (next) and Alt+k (previous) and view the file with Alt+o.